{
  modulesPath,
  ...
}:
{

  imports = [ ./server.nix ];

  boot.kernel.sysctl = {
    "net.ipv4.ip_unprivileged_port_start" = 0;
  };

  boot.kernelParams = [
    "systemd.log_level=info"
    "systemd.log_target=console"
    "systemd.journald.forward_to_console"
  ];

  users.users."admin" = {
    isNormalUser = true;
    linger = true;
    extraGroups = [ "wheel" ];
    home = "/var/home/admin";
  };

  environment.etc = {
    subuid = {
      text = "admin:100000:65536";
      mode = "0644";
    };

    subgid = {
      text = "admin:100000:65536";
      mode = "0644";
    };
  };

  services.getty.autologinUser = "admin";
}
