{ lib, ... }:
{
  # Use networkd
  networking.useNetworkd = true;
  systemd.network.wait-online.enable = true;

  # Firewall
  networking.firewall.enable = false;
  networking.nftables.enable = lib.mkDefault true;

  # DNS
  services.resolved = {
    fallbackDns = [ ]; # Disable fallback DNS. DNS will fail if resolvers are unconfigured
    extraConfig = ''
      DNSStubListener=no
    '';

  };

  # Configuration
  networking.hostName = "";

  # Kernel
  boot.kernel.sysctl = {
    "net.core.default_qdisc" = "fq";                # FIXME: manage these with networkd?
    "net.ipv4.tcp_congestion_control" = "bbr";
  };

  # Modules
  boot.kernelModules = [
    "ip_tables"
    "x_tables"
    "nf_tables"
    "nft_ct"
    "nft_log"
    "nf_log_syslog"
    "nft_fib"
    "nft_fib_inet"
    "nft_compat"
    "nft_nat"
    "nft_chain_nat"
    "nft_masq"
    "nfnetlink"
    "xt_conntrack"
    "nf_conntrack"
    "nf_log_syslog"
    "nf_nat"
    "af_packet"
    "bridge"
    "veth"
    "tcp_bbr"
    "sch_fq_codel"
    "ipt_rpfilter"
    "ip6t_rpfilter"
    "sch_fq"
    "tun"
    "tap"
    "xt_MASQUERADE"
    "xt_mark"
    "xt_comment"
    "xt_multiport"
    "xt_addrtype"
  ];

}
